//Allumer une led en correspondance avec une ldr

//Déclare les pins
int led = 13;
int ldr = A1;

//Déclare les variables
int ldrValeur;
int ldrValeurMap;

void setup() {
//Déclare l'état des pins
pinMode(led, OUTPUT);
pinMode(ldr, INPUT);
//Déclare le mode de comunication
Serial.begin(9600);
}

void loop() {
//Lit la valeur analogue du capteur
ldrValeur = analogRead(ldr);

//Map la valeur de la ldr pour la faire correspondre avec celle de la led
ldrValeurMap = map(ldrValeur, 0, 1024, 0, 255);

//Affiche les valeurs dans le serial moniteur
Serial.print("ldrValeur =");
Serial.print(ldrValeur);
Serial.print("\t");
Serial.print("ldrValeurMap =");
Serial.println(ldrValeurMap);

//Allume la led en correspondance avec la valeur de la ldr
analogWrite(led,ldrValeurMap);

//temps de respiration du code
delay(10);
}
